Transit Gateway Get Config

Transit Gateway Get Config
The configuration of the transit gateway

The configuration of the transit gateway

Since: vSphere API Release 9.1.0.0

Request
URI
GET
https://{vcenter-host}/sdk/vim25/{release}/TransitGateway/{moId}/config
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the property attaches; the serialized managed object reference for a request has the form moType/moId, in this case TransitGateway/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns TransitGatewayConfigInfo of type(s) application/json
This response body class contains all of the following: DataObject
{
    "_typeName": "string",
    "ID": "string",
    "name": "string"
}
string
ID
Required

Identifier of the transit gateway.

This is a truncated version of the full NSX policy path. For example, the full path in NSX may be /orgs/default/projects/default/transit-gateways/default. In vCenter, only the project-relative portion is retained: /projects/default/transit-gateways/default.

string
name
Required

The name of the transit gateway.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/sdk/vim25/{release}/TransitGateway/{moId}/config